
# Intro

This build the image kinisi/vuepress that provides the following features :

- search facility 
- use of tabs as in demo/page2
- use of Viz for graph as in demo/page2

## Usage

mkdir markdowns - folder to store all the markdowns

``` yaml
version: '3.1'

services:

  tpress :

    image : kinisi/vuepress
    ports : [ 8080:8080 ]
    volumes :
      - ./markdowns:/vp/docs
    command : [ npm , run , docs:dev ]
```

If the markdowns folder is empty,  the image will insert the following into the markdowns folder :

- README.md
- demo folder 


## Building

run.sh - build docker image kinisi/vuepress and push to docker,io

